# frozen_string_literal: true

$LOAD_PATH.push File.expand_path('lib', __dir__)
require 'underlay/version'
require 'date'

Gem::Specification.new do |s|
  s.required_ruby_version = ">= #{Underlay::RUBY_VERSION}"
  s.authors = ['dvelp']
  s.date = Date.today.strftime('%Y-%m-%d')

  s.description = <<~HERE
    Underlay removes the monotony of your setup, so you can spend your time focusing above the value line.
  HERE

  s.email = 'engage@dvelp.co.uk'
  s.executables = ['underlay']
  s.extra_rdoc_files = %w[README.md LICENSE]
  s.files = `git ls-files`.split("\n")
  s.homepage = 'http://github.com/DVELP/underlay'
  s.license = 'MIT'
  s.name = 'underlay'
  s.rdoc_options = ['--charset=UTF-8']
  s.require_paths = ['lib']
  s.summary = "Generate a Rails app using DVELP's best practices."
  s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.version = Underlay::VERSION

  s.add_dependency 'bundler', '~> 2.1'
  s.add_dependency 'rails', Underlay::RAILS_VERSION

  s.add_development_dependency 'rspec', '~> 3.2'
end
